<?php

namespace Oro\Bundle\NavigationBundle\Migrations\Schema\v1_8_2;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\DBAL\Types\Type;
use Oro\Bundle\MigrationBundle\Migration\Migration;
use Oro\Bundle\MigrationBundle\Migration\QueryBag;

class ChangeUrlsLength implements Migration
{
    /**
     * {@inheritdoc}
     */
    public function up(Schema $schema, QueryBag $queries)
    {
        $table = $schema->getTable('oro_navigation_item');
        $table
            ->getColumn('url')
            ->setType(Type::getType(Type::STRING))
            ->setOptions(['length' => 8190, 'notnull' => true]);

        $table = $schema->getTable('oro_navigation_history');
        $table
            ->getColumn('url')
            ->setType(Type::getType(Type::STRING))
            ->setOptions(['length' => 8190, 'notnull' => true]);

        $table = $schema->getTable('oro_navigation_menu_upd');
        $table
            ->getColumn('uri')
            ->setType(Type::getType(Type::STRING))
            ->setOptions(['length' => 8190, 'notnull' => false]);
    }
}
